{****************************************}
{*                                      *}
{*           NIXLIBS_.INC 2.04          *}
{*                                      *}
{*      Copyright (c) Nikita Popov      *}
{*               1996-1998              *}
{*                                      *}
{****************************************}

{ A set of conditional directives and compiler switches used by most of
  NiX Libs classes and routines }

{.$ DEFINE CSFGLHDRCHECK}
{- Enable this directve if you want to start checking fields filling inside
  GHDR chunk by NxCSF stream conponents internally by TnxChunkedFileStreamAbs
  descendants. }

{.$DEFINE USESTDLGS}
{- Enable this directive to force all units use standard MessageDlg function
  to display an error messages instead of Nx[DB]ErrMsg function }

{$DEFINE AI_HINTS}
{- Enabling of this directive turns on some kind of "Artifical Intelligence
  (also known as Hint Mechanism)" inside some components.
  This means that when at design time you set property to value which requires
  some changes in other properties you will be asked for permission to do it
  or for some other actions/changes/hints/etc. }

{.$DEFINE USEXTCONTROLS}

{$DEFINE USE_RX_LIB}
{- Enable this directive to begin using of some RX Library controls and
  functions. }

{$IFDEF USE_RX_LIB}
{ These directives provides information of used RX Lib package. This is
  neccessary because in version 2.40 some unit-to-unit movements has been
  done for some DB-aware classes, constants, etc., also some new classes has
  been added }

  {.$DEFINE RX_LIB_VER_23X}
  {$DEFINE RX_LIB_VER_24X}
{$ENDIF USE_RX_LIB}

{$DEFINE FORCEWIN95STYLE}
{ This directive forces nxAutoUpdateIFCstyle procedure and other interface style
  related operations to use Win95 IFC style without any platform checking }

{!!! Do not change anything below this line !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!}

{$B-} {- Complete Boolean Evaluation }
{$V-} {- Strict Var Strings }

{$IFDEF WIN32}
  {$J+} {- Writeable structured constants }
  {$H+} {- Use Huge Strings instead of Short Strings }
{$ENDIF WIN32}

{$IFDEF RX_LIB_VER_24X}
  {$IFDEF RX_LIB_VER_23X}
    !! Only one RX_LIB_VER_XXX directive can be defined at once !!
  {$ENDIF}
{$ENDIF}

{$IFDEF RX_LIB_VER_23X}
  {$IFDEF RX_LIB_VER_24X}
    !! Only one RX_LIB_VER_XXX directive can be defined at once !!
  {$ENDIF}
{$ENDIF}

{ Directives below added to provide platform & version-specific code insertion }

{ Checking for CBuilder }
{$IFDEF VER93} {- Bolrand C++ Builder [v1.0] }
  {$DEFINE CBUILDER}
{$ENDIF VER93}

{$IFNDEF VER80}   {- Borland Delphi v1.X }
 {$IFNDEF VER90}  {- Borland Delphi v2.X }
  {$IFNDEF VER93} {- Borland C++ Builder [v1.0] }
    {$DEFINE DELPHI3P} {- Delphi 3.X+ }
  {$ENDIF VER93}
 {$ENDIF VER90}
{$ENDIF VER80}

{$IFDEF VER120}
  {$DEFINE DELPHI4P} {- Borland Delphi 4.X+}
{$ENDIF VER120}


{<<EOF>>}
