{****************************************}
{*                                      *}
{*          NXCONSTS.PAS 1.06           *}
{*         Borland Delphi unit          *}
{* ( Version 1.X, 2.X, 3.X compatible ) *}
{*                                      *}
{*      Copyright (c) Nikita Popov      *}
{*               1997-1998              *}
{*                                      *}
{*         Code revision : 01           *}
{*         Data revision : 33           *}
{*                                      *}
{****************************************}

{ Last update : 17-04-1998 }

unit NxConsts; {- global resource constants definitions for NiXLIBS }

interface

{!!! Note : This unit reserves IDs within range from 40000 (dec) to 50000 (dec)}

const
  nxResIDbase = 50000;

{- IDs used by NXRELBTN.PAS }
const
  SnxrREqual          = nxResIDbase - 101;
  SnxrRNotEqual       = nxResIDbase - 102;
  SnxrRLess           = nxResIDbase - 103;
  SnxrRGreater        = nxResIDbase - 104;
  SnxrRLessOrEqual    = nxResIDbase - 105;
  SnxrRGreaterOrEqual = nxResIDbase - 106;
  SnxrRBetween        = nxResIDbase - 107;

  SnxrBand            = nxResIDbase - 108;
  SnxrBor             = nxResIDbase - 109;
  SnxrBnot            = nxResIDbase - 110;
  SnxrBxor            = nxResIDbase - 111;

{- IDs used by NXDBERRS.PAS }
  SnxDBEwinDBerror    = nxResIDbase - 115;
  SnxDBEInstallError  = nxResIDbase - 116;
  SnxDBEblankMessage  = nxResIDbase - 117;
  SnxDBEBDEerrorCap   = nxResIDbase - 118;
  SnxDBESRVerrorCap   = nxResIDbase - 119;
  SnxDBEPrevBtnCap    = nxResIDbase - 120;
  SnxDBENextBtnCap    = nxResIDbase - 121;
  SnxAppErrorCap      = nxResIDbase - 122;
  SnxIOErrorCap       = nxResIDbase - 123;
  SnxIOErrorLabel     = nxResIDbase - 124;
  SnxNoLogFileName    = nxResIDbase - 125;
  SnxDetailsBtnCap    = nxResIDbase - 126;

{- IDs used by NXDLGS.PAS}
const
  SnxdlgOverwriteBtnCap = nxResIDbase - 130;
  SnxdlgAppendBtnCap    = nxResIDbase - 131;
  SnxdlgOverwriteBtnBmp = nxResIDbase - 132;
  SnxdlgAppendBtnBmp    = nxResIDbase - 133;
  SnxdlgProgressCap     = nxResIDbase - 134;

{- IDs used by NXBATMDF.PAS }

  SnxbmCreateFDefError  = nxResIDbase - 140;
  SnxbmAddFDefError     = nxResIDbase - 141;
  SnxbmFieldNotFound    = nxResIDbase - 142;
  SnxbmCannotFindField  = nxResIDbase - 143;
  SnxbmUnableToPerform  = nxResIDbase - 144;
  SnxbmPerformError     = nxResIDbase - 145;
  SnxbmNotActive        = nxResIDbase - 150;
  SnxbmDataSetClosed    = nxResIDbase - 151;
  SnxbmCancelQuery      = nxResIDbase - 152;

{- IDs used by NiX CSF services (NXCSFFLR) }
const
  cCSFErrorBase     = nxResIDbase - 200;
  ECSFOpenError     = cCSFErrorBase - 1;
  ECSFReadError     = cCSFErrorBase - 2;
  ECSFWriteError    = cCSFErrorBase - 3;
  ECSFCloseError    = cCSFErrorBase - 4;
  ECSFFormatError   = cCSFErrorBase - 5;
  ECSFTooOldVersion = cCSFErrorBase - 6;
  ECSFTooNewVersion = cCSFErrorBase - 7;
  ECSFSeekError     = cCSFErrorBase - 8;
  ECSFSeekBOS       = cCSFErrorBase - 9;
  ECSFSeekEOS       = cCSFErrorBase - 10;
  ECSFSeekBOD       = cCSFErrorBase - 11;
  ECSFSeekEOD       = cCSFErrorBase - 12;
  ECSFCreateError   = cCSFErrorBase - 13;
  ECSFCRC16error    = cCSFErrorBase - 14;
  ECSFStreamActiveError = cCSFErrorBase - 15;
  ECSFStreamNotActiveError = cCSFErrorBase - 16;


{- IDs used for EXEs/DLLs management (NXAPPSVC.PAS unit, etc.) }
const
  cAPPSVCbase          = nxResIDbase - 300;
  EAPPUnknownError     = nxResIDbase;
  EAPPOutOfMem         = cAPPSVCbase - 1;
  EAPPFileNotFound     = cAPPSVCbase - 2;
  EAPPPathNotFound     = cAPPSVCbase - 3;
  EAPPSharingError     = cAPPSVCbase - 4;
  EAPPReqSepDataSegs   = cAPPSVCbase - 5;
  EAPPNoMemToStart     = cAPPSVCbase - 6;
  EAPPWinVerIncorrect  = cAPPSVCbase - 7;
  EAPPInvalidXModule   = cAPPSVCbase - 8;
  EAPPOSmismatch       = cAPPSVCbase - 9;
  EAPPDOS4             = cAPPSVCbase - 10;
  EAPPUnknownXFileType = cAPPSVCbase - 11;
  EAPPRealModeApp      = cAPPSVCbase - 12;
  EAPPSecondInstance   = cAPPSVCbase - 13;
  EAPPCompressed       = cAPPSVCbase - 14;
  EAPPInvalidDLL       = cAPPSVCbase - 15;
  EAPPNeeds32bitExt    = cAPPSVCbase - 16;

{- IDs used by NxFlSvc.pas unit (file services) }
const
  cFLSVCbase           = nxResIDbase - 400;
  SNoUndoFileName      = cFLSVCbase  -1;
  SUndoFileNotFound    = cFLSVCbase  -2;
  SFListCountersNotEqual= cFLSVCbase -3;
  SDifferentDevices    = cFLSVCbase  -4;
  SRenameActionErrorHdr= cFLSVCbase  -5;
  SRenameActionError   = cFLSVCbase  -6;
  SUNDOfileFormatError = cFLSVCbase  -7;
  SUndoRenameActionErrorHdr=cFLSVCbase  -8;
  SUndoRenameActionError   = cFLSVCbase -9;
  SFileActionName      = cFLSVCbase  - 10;
  SFileProgressName    = cFLSVCbase  - 11;
  SFileQueueProgressCap= cFLSVCbase  - 12;
  SFSVCNoFilesTo       = cFLSVCbase  - 13;
  SFSVCNoDestDirSpec   = cFLSVCbase  - 14;
  SFSVCunableToCreateDir = cFLSVCbase  - 15;
  SFSVCUnableToAllocMem  = cFLSVCbase  - 16;
  SFileOverwriteQuery    = cFLSVCbase  - 17;
  SFSVCUnableToGetAttrs  = cFLSVCbase  - 18;
  SFileOverwriteROQuery  = cFLSVCbase  - 19;
  SFSVCUnableToDropRO    = cFLSVCbase  - 20;
  SFSVCUnableToProcess   = cFLSVCbase  - 21;
  SUnableToCopyFile      = cFLSVCbase  - 22;
  SQueryStopProcess      = cFLSVCbase  - 23;
  SFileCopyError         = cFLSVCbase  - 24;
  SFSVCUnableToTransferAttrs = cFLSVCbase  - 25;
  SDeleteFileROQuery     = cFLSVCbase  - 26;
  SUnableToDeleteFile    = cFLSVCbase  - 27;
  SFileNotExists         = cFLSVCbase  - 28;

{- IDs used by TnxDBiniMaster.TnxDBconnectionManager components }
const
  cDBINIbase = nxResIDbase - 450;
  SlbLoginPassword = cDBINIbase - 1;
  SlbServerName    = cDBINIbase - 2;
  SlbLoginName     = cDBINIbase - 3;
  SlbServerType    = cDBINIbase - 4;
  SlbQueryMode     = cDBINIbase - 5;
  SckLoginAtStart  = cDBINIbase - 6;
  SAdvSetGrp       = cDBINIbase - 7;
  SSysSetDlgCap    = cDBINIbase - 8;
  SAutoPassword    = cDBINIbase - 11;
  SLoginDlgCap     = cDBINIbase - 13;
  SNoSetupProcDone = cDBINIbase - 14;
  SEconnectError   = cDBINIbase - 15;

{- IDs used by all printable controls/components }
const
  cPrintableBase        = cDBINIbase - 50;
  SColumnWidthUnderflow = cPrintableBase;
  SColumnHeightUnderflow= cPrintableBase-1;
  SPageNoCaption        = cPrintableBase-3;

{- IDs used by TnxDataSetPrint (v1.X) }
const
  cDSP1base             = cPrintableBase - 50;
  SMinLineThiknessError = cDSP1base ;
  SMaxLineThiknessError = cDSP1base - 1;
  SDSPpageNo            = cDSP1base - 2;
  SDSPgotoBKMerror      = cDSP1base - 3;
  SDSPnextRecError      = cDSP1base - 4;
  SDSPjobHdrInc         = cDSP1base - 5;
  SDSPNegDTretError     = cDSP1base - 6;
  SDSPPutBKMerror       = cDSP1base - 7;
  SDSPBODerror          = cDSP1base - 8;
  SDSPhdrPrintError     = cDSP1base - 9;
  SDSPprogressHdr       = cDSP1base -10;
  SDSPprogressMsg       = cDSP1base -11;
  SDSPpreviewFrmError   = cDSP1base -12;
  SDSPieceNo            = cDSP1base -13;
  SDSPieceOf            = cDSP1base -14;

implementation

end.
