{****************************************}
{*                                      *}
{*          PPREVIEW.PAS 1.23           *}
{*         Borland Delphi unit          *}
{*   ( Version 1.X - 4.X compatible )   *}
{*                                      *}
{*      Copyright (c) Nikita Popov      *}
{*               1997-1998              *}
{*                                      *}
{*         Code revision : 02           *}
{*         Data revision : 02           *}
{*                                      *}
{****************************************}

{ Last update : 15-10-1998 }

unit PPREVIEW; {- Print Preview for TDataSetPrint component } 

interface

uses
{$IFDEF WIN32}
  Windows,
{$ELSE}
  WinTypes, WinProcs,
{$ENDIF WIN32}
  SysUtils, Messages, Classes, Graphics, Controls, Forms, Dialogs, ExtCtrls,
  StdCtrls, Buttons, DB, Printers, DSPRINT;

const
  nxdspPreviewHMargin = 10;
  nxdspPreviewVMargin = 10;

type
  TPrintPreviewForm = class(TForm)
    Panel1: TPanel;
    OKbtn: TBitBtn;
    PPVSB: TScrollBox;
    Bevel1: TBevel;
    DecPieceNo: TSpeedButton;
    IncPieceNo: TSpeedButton;
    Bevel2: TBevel;
    PieceLbl: TLabel;
    PPV: TImage;
    procedure FormShow(Sender: TObject);
    procedure OKbtnClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormDestroy(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure DecPieceNoClick(Sender: TObject);
    procedure IncPieceNoClick(Sender: TObject);
  protected
    procedure Paint; override;
  private
    { Private declarations }
  public
    { Public declarations }
    fPieceNo: integer;
    DSP : TDataSetPrint;

    procedure UpdateCTLS;
    procedure PaintPreview;
  end;

var
  PPform : TPrintPreviewForm;

implementation {==============================================================}

{$R *.DFM}

procedure TPrintPreviewForm.Paint;
begin
(*  if assigned( DSP ) then DSP.GenericPrint(fPieceNo);

  Update; *)
  PaintPreview;

  UpdateCTLS;
end;

procedure TPrintPreviewForm.FormShow(Sender: TObject);
begin
  WindowState:= wsMaximized; 
end;

procedure TPrintPreviewForm.OKbtnClick(Sender: TObject);
begin
  Close;
end;

procedure TPrintPreviewForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Action:= caFree;
end;

{/////////////////////////////////////////////////////////////////////////////}

procedure TPrintPreviewForm.FormDestroy(Sender: TObject);
begin
  DSP:= NIL;
end;

procedure TPrintPreviewForm.FormResize(Sender: TObject);
begin
 { PPV.Left:= 10;
  PPV.Top:=  10; }
end;

procedure TPrintPreviewForm.FormCreate(Sender: TObject);
begin
  PPV.Top:=  nxdspPreviewVMargin;
  PPV.Left:= nxdspPreviewHMargin;

  PPVSB.HorzScrollBar.Margin:= nxdspPreviewHMargin;
  PPVSB.VertScrollBar.Margin:= nxdspPreviewVMargin;

  fPieceNo:= 1;

  UpdateCTLS;
end;

procedure TPrintPreviewForm.UpdateCTLS;
begin
  if not assigned(DSP) then Exit;

  DecPieceNo.Enabled:= fPieceNo>1;
  IncPieceNo.Enabled:= fPieceNo<DSP.HorzPieces;

  PieceLbl.Caption:= IntToStr(fPieceNo)+'/'+IntToStr(DSP.HorzPieces);
end;

procedure TPrintPreviewForm.DecPieceNoClick(Sender: TObject);
begin
  if fPieceNo<=1 then Exit;

  dec(fPieceNo);

  PaintPreview;

  UpdateCTLS;
end;

procedure TPrintPreviewForm.IncPieceNoClick(Sender: TObject);
begin
  if fPieceNo>=DSP.HorzPieces then Exit;

  inc(fPieceNo);

  PaintPreview;

  UpdateCTLS;
end;

procedure TPrintPreviewForm.PaintPreview;
begin
  with PPV.Canvas do
  begin
    Brush.Style:= bsClear;
    Brush.Color:= clWhite;
    FillRect(PPV.ClientRect);
  end; { with }

  if assigned( DSP ) then DSP.GenericPrint(fPieceNo);
end;

end.
